Package org.jbpm.casemgmt.impl.audit

## Class CaseFileDataLog

- java.lang.Object
- - org.jbpm.casemgmt.impl.audit.CaseFileDataLog

- All Implemented Interfaces:
    `Serializable`, `CaseFileData`

      @Entity
      public class CaseFileDataLog
      extends Object
      implements Serializable, CaseFileData

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseFileDataLog()` |
    `CaseFileDataLog​(String caseId, String caseDefId, String itemName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getCaseDefId()` |
    `String` | `getCaseId()` |
    `long` | `getId()` |
    `String` | `getItemName()` |
    `String` | `getItemType()` |
    `String` | `getItemValue()` |
    `Date` | `getLastModified()` |
    `String` | `getLastModifiedBy()` |
    `int` | `hashCode()` |
    `void` | `setCaseDefId​(String caseDefId)` |
    `void` | `setCaseId​(String caseId)` |
    `void` | `setId​(long id)` |
    `void` | `setItemName​(String itemName)` |
    `void` | `setItemType​(String itemType)` |
    `void` | `setItemValue​(String itemValue)` |
    `void` | `setLastModified​(Date lastModified)` |
    `void` | `setLastModifiedBy​(String lastModifiedBy)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseFileDataLog

          public CaseFileDataLog()

    - #### CaseFileDataLog

          public CaseFileDataLog​(String caseId,
                                 String caseDefId,
                                 String itemName)

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId​(long id)

    - #### getCaseId

          public String getCaseId()

      Specified by:
        `getCaseId` in interface `CaseFileData`

    - #### setCaseId

          public void setCaseId​(String caseId)

    - #### getCaseDefId

          public String getCaseDefId()

      Specified by:
        `getCaseDefId` in interface `CaseFileData`

    - #### setCaseDefId

          public void setCaseDefId​(String caseDefId)

    - #### getItemName

          public String getItemName()

      Specified by:
        `getItemName` in interface `CaseFileData`

    - #### setItemName

          public void setItemName​(String itemName)

    - #### getItemValue

          public String getItemValue()

      Specified by:
        `getItemValue` in interface `CaseFileData`

    - #### setItemValue

          public void setItemValue​(String itemValue)

    - #### getItemType

          public String getItemType()

      Specified by:
        `getItemType` in interface `CaseFileData`

    - #### setItemType

          public void setItemType​(String itemType)

    - #### getLastModified

          public Date getLastModified()

      Specified by:
        `getLastModified` in interface `CaseFileData`

    - #### setLastModified

          public void setLastModified​(Date lastModified)

    - #### getLastModifiedBy

          public String getLastModifiedBy()

      Specified by:
        `getLastModifiedBy` in interface `CaseFileData`

    - #### setLastModifiedBy

          public void setLastModifiedBy​(String lastModifiedBy)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`